#!/bin/bash

PREVIOUS_DIR="$(pwd)"
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"

cd $DIR

# clean
make clean && rm -rf obj && rm -rf ../../../addons/obj
rm -rf ../../../libs/openFrameworksCompiled/lib/linux64/obj
rm -rf ../../../libs/openFrameworksCompiled/lib/linux64/libopenFrameworks.a

# generate
bear -- make -j$(nproc)
# rename
mv compile_commands.json compile_commands.linux64.json

# clean
make clean && rm -rf obj && rm -rf ../../../addons/obj
rm -rf ../../../libs/openFrameworksCompiled/lib/emscripten/obj
rm -rf ../../../libs/openFrameworksCompiled/lib/emscripten/libopenFrameworks.bc

bear -- emmake make -j$(nproc)

cd $PREVIOUS_DIR
